Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.verifier.statics
Class LocalVariableInfo

    java.lang.Object
      |
      +--org.apache.bcel.verifier.statics.LocalVariableInfo

public class LocalVariableInfo
extends java.lang.Object

A utility class holding the information about the name and the type of a local variable in a given slot (== index). This information often changes in course of byte code offsets.

Version:
  $Id: LocalVariableInfo.java,v 1.2 2002/06/13 09:32:50 enver Exp $
Author:
  Enver Haase

Constructor Summary
`LocalVariableInfo()`

Method Summary
`void` | `add(java.lang.String name, int startpc, int length, Type t)` Adds some information about this local variable (slot).
`java.lang.String` | `getName(int offset)` Returns the name of the local variable that uses this local variable slot at the given bytecode offset.
`Type` | `getType(int offset)` Returns the type of the local variable that uses this local variable slot at the given bytecode offset.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalVariableInfo

    public LocalVariableInfo()

Method Detail

### getType

    public Type getType(int offset)

  Returns the type of the local variable that uses this local variable slot at the given bytecode offset. Care for legal bytecode offsets yourself, otherwise the return value might be wrong. May return 'null' if nothing is known about the type of this local variable slot at the given bytecode offset.

### getName

    public java.lang.String getName(int offset)

  Returns the name of the local variable that uses this local variable slot at the given bytecode offset. Care for legal bytecode offsets yourself, otherwise the return value might be wrong. May return 'null' if nothing is known about the type of this local variable slot at the given bytecode offset.

### add

    public void add(java.lang.String name,
                    int startpc,
                    int length,
                    Type t)
             throws LocalVariableInfoInconsistentException

  Adds some information about this local variable (slot).

  Throws:
    `LocalVariableInfoInconsistentException` - if the new information conflicts with already gathered information.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.